

BusinessDetail bd;
Contact con = new Contact();
con.PersonName = "John Smith";
con.Emails.Add("john.smith@abc.abc");
con.Descriptions.Add("en","Web Site Administrator");
bd = PubBus("ABC Corp","The ABC Corporation Service", con);



private BusinessDetail PubBus(string name, string description, Contact contact)
{
   Publish.AuthenticationMode = AuthenticationMode.UddiAuthentication; 
   Publish.Url = "http://abc.abc/"; 
   Publish.HttpClient.Credentials = new NetworkCredential
                             ("ken","password","KENSNABBEN");

   BusinessEntity bEntity = new BusinessEntity();
   bEntity.Name = name;   // name = the business entity
   bEntity.Descriptions.Add("en",description);
                         // description = the long name of the business
   bEntity.Contacts.Add(contact);

   Microsoft.Uddi.SaveBusiness sBusiness = new SaveBusiness();
   sBusiness.BusinessEntities.Add(businessEntity);
   BusinessDetail bd = sBusiness.Send();
   return bd;
}
private ServiceDetail PubService()
{
   // assign the Service name
   string serviceName = "ABC conversions";
   // retrieve the business key
   string businessKey = bd.BusinessEntities[0].BusinessKey;
   // get the tModelKey
   string tModelKey = tModelKeySource;
   // make the URL dependent on the server we are running on.
   string urlAccess = string.Format
                   ("http://{0}/acb/ABC.asmx",Environment.MachineName)
   // define the descriptions
   string bindingDescription = "ASP.NET service";
   string tModelDescription = 'ABC web service";
   Publish.AuthenticationMode = AuthenticationMode.UddiAuthentication; 
   Publish.Url = "http://abc.abc/"; 
   // authenticate
   Publish.HttpClient.Credentials = new NetworkCredential
                                ("Ken","password","KENSNABBEN");

   BindingTemplate bTemp = new BindingTemplate();
   bTemp.Descriptions.Add(bindingDescription);

   AccessPoint aPoint = new AccessPoint(URLTypeEnum.Http,urlAccess);
   bTemp.AccessPoint = accessPoint;

   TModelInstanceInfo tMInstInfo = new TModelInstanceInfo();
   tMInstInfo.TModelKey = tModelKey;
   tMInstInfo.Descriptions.Add(tModelDescription);

   bTemp.TModelInstanceDetail.TModelInstanceInfos.Add(tMInstInfo);

   BusinessService bService = new BusinessService();
   bService.BusinessKey = businessKey;
   bService.Name = serviceName;
   bService.BindingTemplates.Add(bTemp);

   SaveService sService = new SaveService();
   sService.BusinessServices.Add(bService);
   ServiceDetail sd = sService.Send();
   return sd;
}
